Skip to content

getWorkCenter

READ

Get work center.

POST /api/v1/resources/getWorkCenter
curl -X POST '<your-host>/api/v1/resources/getWorkCenter' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "alwaysOn": true,
  "shifts": [
    "string"
  ],
  "active": true,
  "batchCapacity": 0,
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "defaultStandardFactor": "Hours/Piece",
  "departmentId": "string",
  "departmentName": "string",
  "description": "string",
  "id": "string",
  "laborRate": 0,
  "locationId": "string",
  "locationName": "string",
  "machineRate": 0,
  "minimumBatchQuantity": 0,
  "name": "string",
  "overheadRate": 0,
  "processes": [
    "string"
  ],
  "requiredAbilityId": "string",
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    }
  },
  "required": [
    "id"
  ]
}